Read an agent payout approval (owner only)
GET
/dashboard/v1/merchants/{merchantId}/{mode}/agent-approvals/{id}
const url = 'https://api.xaalis.org/dashboard/v1/merchants/example/test/agent-approvals/example';const options = { method: 'GET', headers: {cookie: 'better-auth.session_token=<better-auth.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.xaalis.org/dashboard/v1/merchants/example/test/agent-approvals/example \ --cookie better-auth.session_token=<better-auth.session_token>Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”merchantId
required
string
mode
required
string
id
required
string
Responses
Section titled “ Responses ”Approval
Media typeapplication/json
object
object
required
string
id
required
string
wallet_id
required
string
livemode
required
boolean
status
required
string
amount
required
integer
fee
required
integer
currency
required
string
provider
required
string
recipient
required
object
phone
required
Masked phone; not a provider-confirmed identity
string
action_id
required
string
expires_at
required
string
payout_id
required
string | null
created_at
required
string
Example
{ "object": "agent_payout_approval", "status": "pending", "currency": "XOF", "provider": "wave"}Invalid request
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}Sign-in required
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}Forbidden
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}Not found
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}Idempotency conflict or invalid state
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}Rate limited; see Retry-After response header
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}Rate limiter or service unavailable
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}